const mongoose = require('mongoose');
const { Schema, model, SchemaTypes } = mongoose;
const mongoosePaginate = require('mongoose-paginate-v2');

mongoose.Types.ObjectId.isValid();

const chatSchema = new Schema(
	{
		companionId: {
			type: String,
		},
		name: {
			type: String,
			default: null,
		},
		lastName: {
			type: String,
			default: null,
		},
		avatarUrl: {
			type: String,
			default: null,
		},
		color: {
			type: String,
			default: null,
		},
		owner: {
			type: SchemaTypes.ObjectId,
			ref: 'user',
		},
	},
	{ timestamps: true }
);
chatSchema.plugin(mongoosePaginate);
const Chat = model('chat', chatSchema);

module.exports = Chat;
